[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.BeforeEdit

Event triggered before the dataset is put in edit mode.

## Declaration

Source position: db.pas line 1365

`public property TDataSet.BeforeEdit: TDataSetNotifyEvent read FBeforeEdit write FBeforeEdit;`

## Description

BeforeEdit is the triggered at the start of the TDataset.Edit method. The dataset is still in dsBrowse state when this event is triggered. If an exception is raised in the BeforeEdit event handler, then the dataset will remain in dsBrowse state, and the edit operation is cancelled.

## See also

TDataset.AfterEdit |  | Event triggered after the dataset is put in edit mode.
TDataset.Edit |  | Set the dataset in editing mode.
TDataset.State |  | Current operational state of the dataset

The latest version of this document can be found at lazarus-ccr.sourceforge.net .